在Raspbian上安装PHP 7

老守着PHP 5也不是事啊对吧。

参考出处:http://steveorevo.com/raspberry-pi3-and-php-7/

新版本的 Raspbian 走上了 Jessie 的道路,自然小梦是欣喜万分,毕竟多年更新强迫症。

然而当小梦满心欢喜地敲下 apt install php7.0 的时候,却看到硕大的“未找到软件包”几个字。WTF???难不成新版还不让用了不成?

于是 Google it,发现确实是在 Jessie 里下不了。因此我们需要从 stretch 的源里下载。

用你喜欢的编辑器修改 /etc/apt/sources.list,加上下面两行:

deb http://mirrors.ustc.edu.cn/raspbian/raspbian/ stretch main contrib non-free deb-src http://mirrors.ustc.edu.cn/raspbian/raspbian/ stretch main contrib non-free

这里小梦使用的是中科大的源,你也可以根据实际情况换成其他的源。

之后修改 /etc/apt/preferences(好像默认是没有这个文件的),写上下面的内容:

这么做是为了避免所有的软件包都从 stretch 下载,要真那样了这个系统岂不酸爽。

完成之后,走起

sudo apt update

sudo apt install -t stretch php7.0

啊对了,PHP 7.0 的模块不再像 PHP 5 那样以 php7-为前缀,而是 php7.0-,要注意这个哦~

原文链接:,转发请注明来源!

发表评论